<div>
  <br>
  <div class="col-12">
    <div class="d-flex bd-highlight">
      <div class="w-100 bd-highlight">
        <span class="head-detal">ข้อมูลจากหน่วยงานที่เสนอเรื่อง :</span>
        <span class="head-detal-2"> รายละเอียดกระบวนการทำงาน </span>
      </div>

      <div>
      </div>
    </div>
  </div>


  <div class="col-12">
    <hr style="margin-top: 10px; margin-bottom: 20px;">
  </div>


  <div class="col-12" class="overflow-auto po_role">
    <table class="table-proccess table table-striped">
      <thead>
        <tr>
          <th rowspan="2" style="width: 250px; max-width: 250px;">
            กระบวนการหลัก
          </th>
          <th rowspan="2" *ngFor="let header of header_table" style="width: 250px; max-width: 250px;">
            {{ header }}
          </th>
          <th rowspan="2" colspan="2" style="width: 250px; max-width: 250px;">
            ระบุความเสี่ยง
          </th>
          <th rowspan="2" colspan="2" style="width: 250px; max-width: 250px;">
            การควบคุมความเสี่ยง (เดิม)
          </th>
          <th rowspan="2" colspan="2" style="width: 250px; max-width: 250px;">
            การควบคุมความเสี่ยง (เพิ่มเติม)
          </th>

          <th colspan="3" style="width: 750px; vertical-align: inherit; text-align: center;">
            สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย
          </th>
          <th style="width: 250px; max-width: 250px; text-align: center;">
            หน่วยงานที่เสนอเรื่อง </th>
          <th colspan="3" style="width: 750px; max-width: 750px; text-align: center;">
            คณะกรรมการผลิตภัณฑ์
          </th>
        </tr>
        <tr>
          <th style="width: 200px; max-width: 250px; text-align: center;">
            ความเห็น
          </th>
          <th style="width: 250px; max-width: 250px; text-align: center;">
            ประเด็น
          </th>
          <th style="width: 250px; max-width: 250px; text-align: center;">
            แนวทางการจัดการ
          </th>
          <th style="width: 250px; max-width: 250px; text-align: center;">
            ความเห็น
          </th>
          <th style="width: 250px; max-width: 250px; text-align: center;">
            ความเห็น
          </th>
          <th style="width: 250px; max-width: 250px; text-align: center;">
            ความเห็นเพิ่มเติม
          </th>
          <th style="width: 250px; max-width: 250px; text-align: center;">
            ระบุประเด็นคงค้าง
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of POData.listRetailProcessConsiders; index as istep">
          <td style="width: 250px; max-width: 250px;">
            <div>
              {{ item.mainProcess }}
            </div>
          </td>
          <td colspan="20" class="pd-0" style="width: 100%;">
            <table class="table-proccess-data" style="width: 100%;">
              <tr *ngFor="let detailItem of item.subProcess; index as isup">
                <td class="td_main_po" [ngClass]="{
                    td_single: istep % 2 !== 0,
                    td_couple: istep % 2 === 0
                  }">
                  {{detailItem.subTitle}}

                </td>

                <td class="td_main_po" [ngClass]="{
                    td_single: istep % 2 !== 0,
                    td_couple: istep % 2 === 0
                  }">
                  {{detailItem.inOut}}

                </td>

                <td class="td_main_po" style="width:230px !important" [ngClass]="{
                    td_single: istep % 2 !== 0,
                    td_couple: istep % 2 === 0
                  }">
                  {{detailItem.itRelate}}

                </td>

                <td colspan="10" class="pd-0 sub_three_drag" style="padding-bottom: 0;"
                  class="table-proccess-data sub-2">
                  <!-- ===================================================================================================== -->
                  <table style="width: 100%;">
                    <tr *ngFor="
                        let RiskItem of detailItem.subProcessRisk;
                        index as RiskIndex
                      ">
                      <td style="
                          width: 250px;
                          max-width: 250px;
                          text-align: left;
                          border-bottom: none !important;
                        ">
                        {{RiskItem.risk}}

                      </td>

                      <td style="
                          width: 260px;
                          max-width: 260px;
                          text-align: left;
                          border-bottom: none !important;
                        ">
                        {{RiskItem.riskControl}}

                      </td>

                      <td style="
                          width: 250px;
                          max-width: 250px;
                          text-align: left;
                          border-bottom: none !important;
                        ">
                        {{RiskItem.riskControlOther}}

                      </td>

                      <td style="
                          width: 250px;
                          max-width: 250px;
                          text-align: center;
                          border-bottom: none !important;
                        ">
                        {{RiskItem.remark}}

                      </td>

                      <td style="
                          width: 250px;
                          max-width: 250px;
                          text-align: center;
                          border-bottom: none !important;
                        ">
                        {{RiskItem.subject}}

                      </td>

                      <td style="
                          width: 250px;
                          max-width: 250px;
                          text-align: center;
                          border-bottom: none !important;
                        ">
                        {{RiskItem.management}}

                      </td>

                      <td style="
                          width: 250px;
                          max-width: 250px;
                          text-align: center;
                          border-bottom: none !important;
                        ">
                        <!-- <input
                        type="text"
                        class="form-control"
                        placeholder="ระบุความเห็น"
                        [(ngModel)]="RiskItem.poComment"
                      /> -->
                        {{RiskItem.poComment}}

                      </td>


                      <td style="
                        width: 250px;
                        max-width: 250px;
                        text-align: center;
                        border-bottom: none !important;
                      ">
                        <!-- <select
                        class="form-control"
                        [(ngModel)]="RiskItem.pcComment"
                      >
                        <option value="ยอมรับได้">ยอมรับได้</option>
                        <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
                        <option value=null>ไม่ระบุข้อมูล</option>
                      </select> -->
                        <!-- <input class="form-control">-->

                        {{RiskItem.pcComment}}
                      </td>


                      <td style="
                      width: 250px;
                      max-width: 250px;
                      text-align: center;
                      border-bottom: none !important;
                    ">
                        <!-- <input
                      type="text"
                      class="form-control"
                      placeholder="ระบุความเห็น"
                      [(ngModel)]="RiskItem.pcExtraComment"
                  
                    /> -->
                        {{RiskItem.pcExtraComment}}
                      </td>

                      <td style="
                      width: 250px;
                      max-width: 250px;
                      text-align: center;
                      border-bottom: none !important;
                    ">
                        <!-- <select
                      class="form-control"
                      [(ngModel)]="RiskItem.pcIssue"
                      (ngModelChange)="changeSaveDraft()"
                    >
                      <option value=null disabled
                        >เลือกระบุประเด็นคงค้าง</option
                      >
                      <option value="No">No</option>
                      <option value="Pending_1">Pending 1</option>
                      <option value="Pending_2">Pending 2</option>
                      <option value="Pending_3">Pending 3</option>
                      <option value="Pending_4">Pending 4</option>
                    </select> -->
                        {{RiskItem.pcIssue}}

                      </td>
                    </tr>
                  </table>
                </td>
                <!--==================================================================================== -->

              </tr>
            </table>
          </td>
        </tr>
      </tbody>
    </table>
  </div>


  <br />
  <br />
  <br />
  <!-- ====================== -->
  <div class="detail_other">
    <div class="header_other">
      <th>ความเห็นเพิ่มเติม</th>
    </div>
  </div>

  <hr style="
    height: 1px;
    background-color: rgb(223, 223, 223);
    border: 1px solid rgb(223, 223, 223);
  " />
  <br />
  <div class="remark_other">
    <table>
      <thead>
        <tr>
          <th colspan="2" class="one_th">สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</th>
          <th class="one_th">หน่วยงานที่นำเสนอ</th>
          <th colspan="3" class="one_th">
            คณะกรรมการผลิตภัณฑ์
          </th>
        </tr>
        <tr>
          <th style="width: 30%;">ประเด็น</th>
          <th>แนวทางการจัดการ</th>
          <th>ความเห็น</th>
          <th>
            ความเห็น
          </th>
          <th>
            ความเห็นเพิ่มเติม
          </th>
          <th>
            ระบุประเด็นคงค้าง
          </th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of POData.listRetailProcessConsidersExtra; index as index">
          <td style="width: 250px; text-align: center;word-break: break-all;max-width: 250px;" [ngClass]="{
          td_single: index % 2 !== 0,
          td_couple: index % 2 === 0
        }">
            <!-- <input
        class="form-control"
        placeholder="ระบุประเด็น"
        [(ngModel)]="data.subject"
      /> -->
            {{ data.subject }}
          </td>
          <td style="width: 250px; text-align: center;word-break: break-all;max-width: 250px;" [ngClass]="{
          td_single: index % 2 !== 0,
          td_couple: index % 2 === 0
        }">
            <!-- <input
        class="form-control"
        placeholder="ระบุแนวทางการจัดการ"
        [(ngModel)]="data.manage"
      /> -->
            {{ data.management }}
          </td>
          <td style="text-align: center;word-break: break-all;max-width: 250px;width: 250px;" [ngClass]="{
        td_single: index % 2 !== 0,
        td_couple: index % 2 === 0
      }">

            {{ data.poComment }}
          </td>

          <td style="text-align: center;width: 250px;" [ngClass]="{
        td_single: index % 2 !== 0,
        td_couple: index % 2 === 0
      }">
            <!-- <select class="form-control" [(ngModel)]="data.pcComment">
          <option value="ยอมรับได้">ยอมรับได้</option>
          <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
          <option value=null>ไม่ระบุข้อมูล</option>
        </select> -->
            {{ data.pcComment }}
          </td>

          <td style="text-align: center;word-break: break-all;max-width: 250px;width: 250px;" [ngClass]="{
        td_single: index % 2 !== 0,
        td_couple: index % 2 === 0
      }">
            <!-- <input
          class="form-control"
          placeholder="ระบุแนวความเห็น"
          [(ngModel)]="data.pcExtraComment"
        /> -->
            {{ data.pcExtraComment }}
          </td>

          <td style="text-align: center;width: 250px;" [ngClass]="{
        td_single: index % 2 !== 0,
        td_couple: index % 2 === 0
      }">
            <!-- <select
          class="form-control"
          [(ngModel)]="data.pcIssue"
          (ngModelChange)="changeSaveDraft()"
        >
          <option value=null disabled>เลือกระบุประเด็นคงค้าง</option>
          <option value="No">No</option>
          <option value="Pending_1">Pending 1</option>
          <option value="Pending_2">Pending 2</option>
          <option value="Pending_3">Pending 3</option>
          <option value="Pending_4">Pending 4</option>
        </select> -->
            {{ data.pcIssue }}
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <br>
  <!-- หมายเหตุ -->
  <div class="row text-note">
    <div class="col-12">
      <span>หมายเหตุ</span>
    </div>
    <div class="col-12" *ngFor="let item of note; index as i">
      <span>{{ i + 1 }}. &nbsp;{{ item }}</span>
    </div>


  </div>
  <!--  -->
  <br>
  <!-- =============================================================================================== -->

  <!-- ====================== -->
  <div class="table_main">
    <div class="header_table">
      <div class="text_header">
        ข้อมูลจากหน่วยงานที่เสนอเรื่อง : &nbsp;ความพร้อมด้านการดำเนินการ
      </div>

      <div class="btn_header"></div>
    </div>
  </div>
  <hr class="new4" />
  <br />
  <div class="col-12" class="overflow-auto">
    <table class="table-proccess table table-striped" style="border: 1px solid #fafafa;">
      <thead>
        <tr>
          <th class="text-nowrap" style="width: 300px; vertical-align: inherit;" rowspan="2">
            กระบวนการหลัก
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;" rowspan="2">
            กระบวนการย่อย
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;" rowspan="2">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;" rowspan="2">
            ผู้รับผิดชอบ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit;" rowspan="2">
            กำหนดแล้วเสร็จ
          </th>
          <th class="text-nowrap" style="width: 750px; vertical-align: inherit; text-align: center;" colspan="3">
            สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
            หน่วยงานที่เสนอเรื่อง
          </th>

          <th class="text-nowrap" style="width: 750px; vertical-align: inherit; text-align: center;" colspan="3">
            คณะกรรมการผลิตภัณฑ์
          </th>
        </tr>
        <tr>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
            ความเห็น
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
            ประเด็น
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
            แนวทางการจัดการ
          </th>
          <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">ความเห็น</th>

          <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
            ความเห็น
          </th>

          <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
            ความเห็นเพิ่มเติม
          </th>

          <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
            ระบุประเด็นคงค้าง
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of POData.listRetailOperationDetail; index as istep">
          <td style="max-width: 300px; max-width: 300px;" [ngClass]="{
            td_single: istep % 2 !== 0,
            td_couple: istep % 2 === 0
          }">
            <div>
              {{ item.mainProcess }}
            </div>
            <ng-template #notStaticType>
              <!-- <input
              type="text"
              class="form-control"
              placeholder="ระบุกระบวนการหลัก"
              [(ngModel)]="item.mainProcess"
            /> -->
              {{ data.pcIssue }}
            </ng-template>
          </td>
          <td colspan="10" class="p-0">
            <table class="table-proccess-data" style="width: 100%;">
              <tr *ngFor="let processItem of item.commentOperation; index as isub">
                <td style="width: 250px; max-width: 250px;" [ngClass]="{
                  td_single: istep % 2 !== 0,
                  td_couple: istep % 2 === 0
                }">
                  <span>{{ processItem.subProcess }}</span>
                </td>
                <td style="width: 250px; max-width: 250px;" [ngClass]="{
                  td_single: istep % 2 !== 0,
                  td_couple: istep % 2 === 0
                }">
                  <span>{{ processItem.management }}</span>
                </td>
                <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                  td_single: istep % 2 !== 0,
                  td_couple: istep % 2 === 0
                }">
                  <span>{{ processItem.responsible }}</span>
                </td>
                <td style="width: 250px; max-width: 250px;" [ngClass]="{
                  td_single: istep % 2 !== 0,
                  td_couple: istep % 2 === 0
                }">
                  <span>{{convertDatePO[isub].Convert }}</span>
                </td>

                <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                  td_single: istep % 2 !== 0,
                  td_couple: istep % 2 === 0
                }">
                  <span>
                    {{processItem.reviews}}
                    <!-- <select
                    class="form-control"
                    [(ngModel)]="processItem.reviews"
                  >
                    <option value="ยอมรับได้">ยอมรับได้</option>
                    <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
                    <option value=null>ไม่ระบุข้อมูล</option>
                  </select>
                  -->
                  </span>
                </td>

                <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                  td_single: istep % 2 !== 0,
                  td_couple: istep % 2 === 0
                }">
                  <span>
                    {{processItem.subject}}
                    <!-- <input
                    class="form-control"
                    [(ngModel)]="processItem.subject"
                    placeholder="ระบุประเด็น"
                  /> -->
                  </span>
                </td>

                <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                  td_single: istep % 2 !== 0,
                  td_couple: istep % 2 === 0
                }">
                  <span>
                    {{processItem.manage}}
                    <!-- <input
                    class="form-control"
                    [(ngModel)]="processItem.manage"
                    placeholder="ระบุแนวทางการจัดการ"
                  /> -->
                  </span>
                </td>

                <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                td_single: istep % 2 !== 0,
                td_couple: istep % 2 === 0
              }">
                  <span>
                    {{processItem.poComment}}
                    <!-- <input
                  class="form-control"
                  [(ngModel)]="processItem.poComment"
                  placeholder="ระบุความเห็น"
                /> -->
                  </span>
                </td>


                <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
              td_single: istep % 2 !== 0,
              td_couple: istep % 2 === 0
            }">
                  <span>
                    <!-- <select
                class="form-control"
                [(ngModel)]="processItem.pcComment"
              >
                <option value="ยอมรับได้">ยอมรับได้</option>
                <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
                <option value=null>ไม่ระบุข้อมูล</option>
              </select> -->
                    {{ processItem.poComment }}
                  </span>
                </td>

                <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
              td_single: istep % 2 !== 0,
              td_couple: istep % 2 === 0
            }">
                  <span>
                    <!-- <input
                class="form-control"
                [(ngModel)]="processItem.pcExtraComment"
                placeholder="ระบุความเห็น"
              /> -->
                    {{ processItem.pcExtraComment }}
                  </span>
                </td>

                <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
              td_single: istep % 2 !== 0,
              td_couple: istep % 2 === 0
            }">
                  <span>
                    <!-- <select
                class="form-control"
                [(ngModel)]="processItem.pcIssue"
                (ngModelChange)="changeSaveDraft()"
              >
                <option value=null disabled
                  >เลือกระบุประเด็นคงค้าง</option
                >
                <option value="No">No</option>
                <option value="Pending_1">Pending 1</option>
                <option value="Pending_2">Pending 2</option>
                <option value="Pending_3">Pending 3</option>
                <option value="Pending_4">Pending 4</option>
              </select> -->
                    {{ processItem.pcIssue }}
                  </span>
                </td>

              </tr>
            </table>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <br>
  <br>
  <!-- ====== -->

  <div class="detail_other">
    <div class="header_other">
      <th>ความเห็นเพิ่มเติม</th>
      <!-- ความเห็นเพิ่มเติม 2 -->
    </div>
  </div>

  <hr style="
    height: 1px;
    background-color: rgb(223, 223, 223);
    border: 1px solid rgb(223, 223, 223);
  " />

  <br>

  <div class="remark_other">
    <table>
      <thead>
        <tr>
          <th colspan="2" class="one_th">สายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</th>
          <th class="one_th">หน่วยงานที่นำเสนอ</th>
          <th colspan="3" class="one_th">
            คณะกรรมการผลิตภัณฑ์
          </th>
        </tr>
        <tr>
          <th style="width: 30%;">ประเด็น</th>
          <th>แนวทางการจัดการ</th>
          <th>ความเห็น</th>
          <th>
            ความเห็น
          </th>
          <th>
            ความเห็นเพิ่มเติม
          </th>
          <th>
            ระบุประเด็นคงค้าง
          </th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of POData.listRetailOperationDetailExtra;index as number2">
          <td style="width: 250px;text-align:center;word-break: break-all;max-width: 250px;" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุประเด็น"
              [(ngModel)]="data.subject"
            /> -->
            {{data.subject}}
          </td>

          <td style="width: 250px;text-align:center;word-break: break-all;max-width: 250px;" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุแนวทางการจัดการ"
              [(ngModel)]="data.manage"
            /> -->
            {{data.management}}
          </td>

          <td style="text-align: center;word-break: break-all;max-width: 250px;width: 250px" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุแนวความเห็น"
              [(ngModel)]="data.poComment"
            /> -->
            {{data.poComment}}
          </td>

          <td style="text-align: center;width: 250px" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <select class="form-control" [(ngModel)]="data.pcComment">
              <option value="ยอมรับได้">ยอมรับได้</option>
              <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
              <option value=null>ไม่ระบุข้อมูล</option>
            </select> -->
            {{data.pcComment}}
          </td>

          <td style="text-align: center;word-break: break-all;max-width: 250px;width: 250px" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <input
              class="form-control"
              placeholder="ระบุแนวความเห็น"
              [(ngModel)]="data.pcExtraComment"
            /> -->
            {{ data.pcExtraComment }}
          </td>

          <td style="text-align: center;width: 250px" [ngClass]="{
            td_single: number2 % 2 !== 0,
            td_couple: number2 % 2 === 0
          }">
            <!-- <select
              class="form-control"
              [(ngModel)]="data.pcIssue"
              (ngModelChange)="changeSaveDraft()"
            >
              <option value=null disabled>เลือกระบุประเด็นคงค้าง</option>
              <option value="No">No</option>
              <option value="Pending_1">Pending 1</option>
              <option value="Pending_2">Pending 2</option>
              <option value="Pending_3">Pending 3</option>
              <option value="Pending_4">Pending 4</option>
            </select> -->
            {{ data.pcIssue }}
          </td>

        </tr>
      </tbody>
    </table>
  </div>

  <br>
  <!-- หมายเหตุ -->
  <div class="row text-note">
    <div class="col-12">
      <span>หมายเหตุ</span>
    </div>
    <div class="col-12" *ngFor="let item of note; index as i">
      <span>{{ i + 1 }}. &nbsp;{{ item }}</span>
    </div>


  </div>
  <!--  -->
</div>